import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # Flexbox Row
 * @className twui-row
 */
export default function Row({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>) {
    return (
        <div
            {...props}
            className={twMerge(
                "flex flex-row items-center gap-2 flex-wrap",
                "twui-row",
                props.className
            )}
        >
            {props.children}
        </div>
    );
}
